## org.eclipse.jetty.deploy
Class AppLifeCycle

    java.lang.Object
      org.eclipse.jetty.deploy.graph.Graph
          org.eclipse.jetty.deploy.AppLifeCycle

    public class AppLifeCycle

extends Graph

The lifecycle of an App in the `DeploymentManager`. Setups a the default `Graph`, and manages the bindings to the life cycle via the `AppLifeCycle.Binding` annotation.

Nested Class Summary
`static interface` `AppLifeCycle.Binding`

Field Summary
`static String` `DEPLOYED`
`static String` `DEPLOYING`
`static String` `STARTED`
`static String` `STARTING`
`static String` `STOPPING`
`static String` `UNDEPLOYED`
`static String` `UNDEPLOYING`

Constructor Summary
`AppLifeCycle()`

Method Summary
`void` `addBinding(AppLifeCycle.Binding binding)`
`Set<AppLifeCycle.Binding>` `getBindings()` Get all `Node` bound objects.
`Set<AppLifeCycle.Binding>` `getBindings(Node node)` Get all objects bound to a specific `Node`
`Set<AppLifeCycle.Binding>` `getBindings(String nodeName)` Get all objects bound to a specific `Node`
`void` `removeBinding(AppLifeCycle.Binding binding)`
`void` `runBindings(Node node, App app, DeploymentManager deploymentManager)`

Methods inherited from class org.eclipse.jetty.deploy.graph.Graph
`addEdge, addEdge, addNode, findEdges, findEdgesFrom, getEdges, getNodeByName, getNodes, getPath, getPath, insertNode, insertNode, removeEdge, removeEdge, removeNode, setEdges, setNodes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNDEPLOYED

    public static final String UNDEPLOYED

See Also:
  Constant Field Values

### DEPLOYING

    public static final String DEPLOYING

See Also:
  Constant Field Values

### DEPLOYED

    public static final String DEPLOYED

See Also:
  Constant Field Values

### STARTING

    public static final String STARTING

See Also:
  Constant Field Values

### STARTED

    public static final String STARTED

See Also:
  Constant Field Values

### STOPPING

    public static final String STOPPING

See Also:
  Constant Field Values

### UNDEPLOYING

    public static final String UNDEPLOYING

See Also:
  Constant Field Values

Constructor Detail

### AppLifeCycle

    public AppLifeCycle()

Method Detail

### addBinding

    public void addBinding(AppLifeCycle.Binding binding)

### removeBinding

    public void removeBinding(AppLifeCycle.Binding binding)

### getBindings

    public Set<AppLifeCycle.Binding> getBindings()

  Get all `Node` bound objects.

  Returns:
    Set of Object(s) for all lifecycle bindings. never null.

### getBindings

    public Set<AppLifeCycle.Binding> getBindings(Node node)

  Get all objects bound to a specific `Node`

  Returns:
    Set of Object(s) for specific lifecycle bindings. never null.

### getBindings

    public Set<AppLifeCycle.Binding> getBindings(String nodeName)

  Get all objects bound to a specific `Node`

  Returns:
    Set of Object(s) for specific lifecycle bindings. never null.

### runBindings

    public void runBindings(Node node,
                            App app,
                            DeploymentManager deploymentManager)
                     throws Throwable

  Throws:
    `Throwable`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.